For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
        • Checkouts
        • Currencies
          • V3
          • V2
              • GETList Customers
              • POSTCreate Customer
              • DELDelete Customers
              • GETGet Customer
              • PUTUpdate Customer
              • DELDelete Customer
              • GETGet Count of Customers
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
        • Orders
        • Order Transactions
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
        • Sites
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementCustomersV2

List Customers

Deprecated
GET
https://api.bigcommerce.com/stores/:store_hash/v2/customers
GET
/stores/:store_hash/v2/customers
$curl https://api.bigcommerce.com/stores/store_hash/v2/customers \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>"
200Retrieved
1[
2 {
3 "email": "janedoe@example.com",
4 "first_name": "Jane",
5 "last_name": "Doe",
6 "_authentication": {
7 "force_reset": true,
8 "password": "string",
9 "password_confirmation": "string"
10 },
11 "accepts_marketing": true,
12 "addresses": {
13 "url": "https://api.bigcommerce.com/stores/{store_hash}/v2/customers/5/addresses",
14 "resource": "/customers/5/addresses"
15 },
16 "company": "BigCommerce",
17 "customer_group_id": 2,
18 "date_created": "string",
19 "date_modified": "string",
20 "form_fields": [
21 {
22 "name": "License ID",
23 "value": "string"
24 }
25 ],
26 "id": 1,
27 "notes": "string",
28 "phone": "1234567890",
29 "registration_ip_address": "12.345.678.910",
30 "reset_pass_on_login": false,
31 "store_credit": "0",
32 "tax_exempt_category": "string"
33 }
34]

Returns a list of all Customers. Default sorting is by customer_ID, from lowest to highest. Optional parameters can be passed in.

Was this page helpful?
Previous

Customers V2

Next

Create Customer

Built with

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Customers | modify | `store_v2_customers` | | Customers | read-only | `store_v2_customers_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Query parameters

first_namestringOptional
last_namestringOptional
companystringOptional
emailstringOptional
phonestringOptional
store_creditstringOptional
customer_group_idintegerOptional
min_idintegerOptional
max_idintegerOptional
min_date_createdstringOptional
max_date_createdstringOptional
min_date_modifiedstringOptional
max_date_modifiedstringOptional
tax_exempt_categorystringOptional

Response

emailstring
Email address of the customer.
first_namestring
First name of the customer.
last_namestring
Last name of the customer.
_authenticationobject

Not returned in any responses, but accepts up to two fields allowing you to set the customer’s password. If a password is not supplied, it is generated automatically. For further information about using this object, please see the Customers resource documentation.

accepts_marketingbooleanRead-only

Describes whether the customer accepts product review emails or abandon cart emails. Read-Only.

addressesobject
companystring
The name of the company for which the customer works.
customer_group_idinteger
The group to which the customer belongs.
date_createdstringRead-only

Date on which the customer registered from the storefront or was created in the control panel. This is a Read-Only field; do not set or modify its value in a POST or PUT request.

date_modifiedstringRead-only

Date on which the customer updated their details in the storefront or was updated in the control panel. This is a Read-Only field; do not set or modify its value in a POST or PUT request.

form_fieldslist of objects or nullRead-only

Array of custom fields. This is a Read-Only field; do not set or modify its value in a POST or PUT request.

idintegerRead-only

Unique numeric ID of this customer. This is a Read-Only field; do not set or modify its value in a POST or PUT request.

notesstring

Store-owner notes on the customer.

phonestring
Phone number of the customer.
registration_ip_addressstring

The customer’s IP address when they signed up.

reset_pass_on_loginboolean
Force a password change on next login.
store_creditstring

The amount of credit the customer has. (Float, Float as String, Integer)

tax_exempt_categorystring

If applicable, the tax-exempt category of the shopper’s customer account. You can apply a tax-exempt category to multiple customers. This code should match the exemption codes provided by the third-party integration.

OAuth scopes

UI NamePermissionParameter
Customersmodifystore_v2_customers
Customersread-onlystore_v2_customers_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

The MIME type of the response body.